Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.xml.util
Class DomHelper

    java.lang.Object
      com.bea.p13n.xml.util.DomHelper

public class DomHelper
extends Object

Constructor Summary
`DomHelper()`

Method Summary
`static String` | `extractAttributeValue(Node node, String attribute)` Finds value for an attribute with a given name.
`static Node` | `extractNodeByTag(Node node, String tag)` Returns a node matching a given tag.
`static NodeList` | `extractNodeListByTag(Node node, String tag)` Returns a nodeList consisting of nodes that match a given tag and that are descendant elements of a given node.
`static String` | `extractNodeValue(Node node)` Finds node value as string object Return null if node is not present or the node does not have a value
`static String` | `getTagName(Element e)` Get the non-namespace-prefixed tag name of an element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomHelper

    public DomHelper()

Method Detail

### extractNodeByTag

    public static Node extractNodeByTag(Node node,
                                        String tag)
                                 throws DomException

  Returns a node matching a given tag. Returned node is a child of a given node. Returns null if no node has been found, or if the given node is null.

  Parameters:
    `node` - xml node from DOM model
    `tag` - specifies the name of the node to look for in the DOM model
  Throws:
    `DomException` - if a given node has more than one child node with a given tag.

### extractNodeListByTag

    public static NodeList extractNodeListByTag(Node node,
                                                String tag)
                                         throws DomException

  Returns a nodeList consisting of nodes that match a given tag and that are descendant elements of a given node. Elements might not be node's direct children, but few levels deep. Returns null if no subelements have been found, or if the given node is null

  Parameters:
    `node` - xml node from DOM model
    `tag` - specifies the name of the node to look for in the DOM model
  Throws:
    `DomException`

### extractNodeValue

    public static String extractNodeValue(Node node)
                                   throws DomException

  Finds node value as string object Return null if node is not present or the node does not have a value

  Parameters:
    `node` - xml node from DOM model
  Throws:
    `DomException`

### extractAttributeValue

    public static String extractAttributeValue(Node node,
                                               String attribute)
                                        throws DomException

  Finds value for an attribute with a given name. Attribute belongs to a given node. Only nodes that are elements will have attributes. Returns null if the given node is null or attribute does not exist

  Parameters:
    `node` - xml node from DOM model
    `attribute` - the name of the attribute
  Throws:
    `DomException` - if given node is not an element.

### getTagName

    public static String getTagName(Element e)

  Get the non-namespace-prefixed tag name of an element.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved